OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.CommandList

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVCommandList :: MonadIO m => m Bool
- gl_NV_command_list :: Bool
- gl_ALPHA_REF_COMMAND_NV :: GLenum
- gl_ATTRIBUTE_ADDRESS_COMMAND_NV :: GLenum
- gl_BLEND_COLOR_COMMAND_NV :: GLenum
- gl_DRAW_ARRAYS_COMMAND_NV :: GLenum
- gl_DRAW_ARRAYS_INSTANCED_COMMAND_NV :: GLenum
- gl_DRAW_ARRAYS_STRIP_COMMAND_NV :: GLenum
- gl_DRAW_ELEMENTS_COMMAND_NV :: GLenum
- gl_DRAW_ELEMENTS_INSTANCED_COMMAND_NV :: GLenum
- gl_DRAW_ELEMENTS_STRIP_COMMAND_NV :: GLenum
- gl_ELEMENT_ADDRESS_COMMAND_NV :: GLenum
- gl_FRONT_FACE_COMMAND_NV :: GLenum
- gl_LINE_WIDTH_COMMAND_NV :: GLenum
- gl_NOP_COMMAND_NV :: GLenum
- gl_POLYGON_OFFSET_COMMAND_NV :: GLenum
- gl_SCISSOR_COMMAND_NV :: GLenum
- gl_STENCIL_REF_COMMAND_NV :: GLenum
- gl_TERMINATE_SEQUENCE_COMMAND_NV :: GLenum
- gl_UNIFORM_ADDRESS_COMMAND_NV :: GLenum
- gl_VIEWPORT_COMMAND_NV :: GLenum
- glCallCommandListNV :: MonadIO m => GLuint -> m ()
- glCommandListSegmentsNV :: MonadIO m => GLuint -> GLuint -> m ()
- glCompileCommandListNV :: MonadIO m => GLuint -> m ()
- glCreateCommandListsNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glCreateStatesNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDeleteCommandListsNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDeleteStatesNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDrawCommandsAddressNV :: MonadIO m => GLenum -> Ptr GLuint64 -> Ptr GLsizei -> GLuint -> m ()
- glDrawCommandsNV :: MonadIO m => GLenum -> GLuint -> Ptr GLintptr -> Ptr GLsizei -> GLuint -> m ()
- glDrawCommandsStatesAddressNV :: MonadIO m => Ptr GLuint64 -> Ptr GLsizei -> Ptr GLuint -> Ptr GLuint -> GLuint -> m ()
- glDrawCommandsStatesNV :: MonadIO m => GLuint -> Ptr GLintptr -> Ptr GLsizei -> Ptr GLuint -> Ptr GLuint -> GLuint -> m ()
- glGetCommandHeaderNV :: MonadIO m => GLenum -> GLuint -> m GLuint
- glGetStageIndexNV :: MonadIO m => GLenum -> m GLushort
- glIsCommandListNV :: MonadIO m => GLuint -> m GLboolean
- glIsStateNV :: MonadIO m => GLuint -> m GLboolean
- glListDrawCommandsStatesClientNV :: MonadIO m => GLuint -> GLuint -> Ptr (Ptr a) -> Ptr GLsizei -> Ptr GLuint -> Ptr GLuint -> GLuint -> m ()
- glStateCaptureNV :: MonadIO m => GLuint -> GLenum -> m ()

# Extension Support

glGetNVCommandList :: MonadIO m => m Bool

Is the NV_command_list extension supported?

gl_NV_command_list :: Bool

Is the NV_command_list extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVCommandList` in those cases instead.

# Enums

gl_ALPHA_REF_COMMAND_NV :: GLenum

gl_ATTRIBUTE_ADDRESS_COMMAND_NV :: GLenum

gl_BLEND_COLOR_COMMAND_NV :: GLenum

gl_DRAW_ARRAYS_COMMAND_NV :: GLenum

gl_DRAW_ARRAYS_INSTANCED_COMMAND_NV :: GLenum

gl_DRAW_ARRAYS_STRIP_COMMAND_NV :: GLenum

gl_DRAW_ELEMENTS_COMMAND_NV :: GLenum

gl_DRAW_ELEMENTS_INSTANCED_COMMAND_NV :: GLenum

gl_DRAW_ELEMENTS_STRIP_COMMAND_NV :: GLenum

gl_ELEMENT_ADDRESS_COMMAND_NV :: GLenum

gl_FRONT_FACE_COMMAND_NV :: GLenum

gl_LINE_WIDTH_COMMAND_NV :: GLenum

gl_NOP_COMMAND_NV :: GLenum

gl_POLYGON_OFFSET_COMMAND_NV :: GLenum

gl_SCISSOR_COMMAND_NV :: GLenum

gl_STENCIL_REF_COMMAND_NV :: GLenum

gl_TERMINATE_SEQUENCE_COMMAND_NV :: GLenum

gl_UNIFORM_ADDRESS_COMMAND_NV :: GLenum

gl_VIEWPORT_COMMAND_NV :: GLenum

# Functions

glCallCommandListNV

Arguments

:: MonadIO m |
=> GLuint | `list`.
-> m () |

glCommandListSegmentsNV

Arguments

:: MonadIO m |
=> GLuint | `list`.
-> GLuint | `segments`.
-> m () |

glCompileCommandListNV

Arguments

:: MonadIO m |
=> GLuint | `list`.
-> m () |

glCreateCommandListsNV

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `lists`.
-> m () |

glCreateStatesNV

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `states`.
-> m () |

glDeleteCommandListsNV

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `lists`.
-> m () |

glDeleteStatesNV

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `states`.
-> m () |

glDrawCommandsAddressNV

Arguments

:: MonadIO m |
=> GLenum | `primitiveMode`.
-> Ptr GLuint64 | `indirects`.
-> Ptr GLsizei | `sizes`.
-> GLuint | `count`.
-> m () |

glDrawCommandsNV

Arguments

:: MonadIO m |
=> GLenum | `primitiveMode`.
-> GLuint | `buffer`.
-> Ptr GLintptr | `indirects`.
-> Ptr GLsizei | `sizes`.
-> GLuint | `count`.
-> m () |

glDrawCommandsStatesAddressNV

Arguments

:: MonadIO m |
=> Ptr GLuint64 | `indirects`.
-> Ptr GLsizei | `sizes`.
-> Ptr GLuint | `states`.
-> Ptr GLuint | `fbos`.
-> GLuint | `count`.
-> m () |

glDrawCommandsStatesNV

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> Ptr GLintptr | `indirects`.
-> Ptr GLsizei | `sizes`.
-> Ptr GLuint | `states`.
-> Ptr GLuint | `fbos`.
-> GLuint | `count`.
-> m () |

glGetCommandHeaderNV

Arguments

:: MonadIO m |
=> GLenum | `tokenID`.
-> GLuint | `size`.
-> m GLuint |

glGetStageIndexNV

Arguments

:: MonadIO m |
=> GLenum | `shadertype`.
-> m GLushort |

glIsCommandListNV

Arguments

:: MonadIO m |
=> GLuint | `list`.
-> m GLboolean |

glIsStateNV

Arguments

:: MonadIO m |
=> GLuint | `state`.
-> m GLboolean |

glListDrawCommandsStatesClientNV

Arguments

:: MonadIO m |
=> GLuint | `list`.
-> GLuint | `segment`.
-> Ptr (Ptr a) | `indirects`.
-> Ptr GLsizei | `sizes`.
-> Ptr GLuint | `states`.
-> Ptr GLuint | `fbos`.
-> GLuint | `count`.
-> m () |

glStateCaptureNV

Arguments

:: MonadIO m |
=> GLuint | `state`.
-> GLenum | `mode`.
-> m () |